Bug 1963141

Summary: packageserver clusteroperator Available condition set to false on any Deployment spec change
Product: OpenShift Container Platform Reporter: Ben Luddy <bluddy>
Component: OLMAssignee: Ben Luddy <bluddy>
OLM sub component: OLM QA Contact: Bruno Andrade <bandrade>
Status: CLOSED ERRATA Docs Contact:
Severity: high    
Priority: high CC: bandrade, davegord, jiazha, wking
Version: 4.8   
Target Milestone: ---   
Target Release: 4.7.z   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1959158 Environment:
Last Closed: 2021-06-15 09:28:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1959158    
Bug Blocks: 1965307    

Comment 2 Bruno Andrade 2021-05-28 18:17:38 UTC
OLM version: 0.17.0
git commit: b777578f24a7efc8b62ebf8992bdaf4506a6f6b6
OCP: 4.7.0-0.nightly-2021-05-27-065913%

Added an environment variable into packageserver csv, available value stayed with True status. 

oc get clusteroperator operator-lifecycle-manager-packageserver -w
NAME                                       VERSION                             AVAILABLE   PROGRESSING   DEGRADED   SINCE
operator-lifecycle-manager-packageserver   4.7.0-0.nightly-2021-05-27-065913   True        False         False      38m
operator-lifecycle-manager-packageserver   4.7.0-0.nightly-2021-05-27-065913   True        True          False      42m
operator-lifecycle-manager-packageserver   4.7.0-0.nightly-2021-05-27-065913   True        False         False      42m


LGTM, marking as VERIFIED.

Comment 4 Siddharth Sharma 2021-06-04 18:40:24 UTC
This bug will be shipped as part of next z-stream release 4.7.15 on June 14th, as 4.7.14 was dropped due to a regression https://bugzilla.redhat.com/show_bug.cgi?id=1967614

Comment 7 tflannag 2021-06-09 17:26:39 UTC
*** Bug 1962298 has been marked as a duplicate of this bug. ***

Comment 9 errata-xmlrpc 2021-06-15 09:28:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.16 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2286